Bug 90190 - FILEOPEN : When open the Roundtrip PPTX in LO loss the table cell border line width i.e lnL, lnT, lnR, lnB tag is not exported.
Summary: FILEOPEN : When open the Roundtrip PPTX in LO loss the table cell border line...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Yogesh Bharate
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-24 07:33 UTC by Yogesh Bharate
Modified: 2018-06-06 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX contents table (32.90 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-24 07:33 UTC, Yogesh Bharate
Details
table-border-missing (287.17 KB, image/png)
2015-03-24 07:48 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-03-24 07:33:10 UTC
Created attachment 114294 [details]
PPTX contents table

Problem :
- When we open roundtripped PPTX file in LibreOffice, table border is disappear.


Step to reproduce:
1. Open attached document(or any slide contents table) in LibreOffice.
2. Save it as PPTX.
3. Open the saved PPTX again in LibreOffice, the border of table is disappears.

PFA screenshot of more details.
Comment 1 Yogesh Bharate 2015-03-24 07:48:15 UTC
Created attachment 114295 [details]
table-border-missing
Comment 2 Yogesh Bharate 2015-04-16 10:51:27 UTC
Export part of table cell line width is missing after Roundtripping.
i.e lnT, lnB, lnR, lnL is not exported in roundtrip etc.

XML Difference:

Original XML:
<a:tcPr>
    <a:lnL w="12700">
</a:tcPr>

roundtriped XML:
<a:tcPr> not write the <a:lnL> tag.
Comment 3 A (Andy) 2015-04-17 20:26:10 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Furthermore, in LO 4.4 the background colour is changed to blue (already reported: see Bug 80340) and when trying to open it in MSO it shows an error message.
Comment 4 Commit Notification 2015-05-09 19:55:56 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e4d2043e99201ec542186039e3be34d3c226111

tdf#90190 PPTX table cell border width is not exported.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Timur 2015-05-11 15:34:42 UTC
Tested with libo-master~2015-05-10_23.05.48_LibreOfficeDev_5.0.0.0.alpha1_Win_x86, looks like working fine. 
I set version as 3.3.0. There were some changes, but seems that border saving was never fine. 
Please backport to 4.4.
Comment 6 Michael Stahl (CIB) 2016-05-09 17:32:57 UTC
remove "backportrequest" for EOL release branch